org.apache.cassandra.repair.messages

## Class RepairMessage

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage

Direct Known Subclasses:
  AnticompactionRequest, CleanupMessage, PrepareMessage, SnapshotMessage, SyncComplete, SyncRequest, ValidationComplete, ValidationRequest

    public abstract class RepairMessage
    extends java.lang.Object

Base class of all repair related request/response messages.

Since:
  2.0

### Nested Class Summary

Nested Classes
`static interface` `RepairMessage.MessageSerializer<T extends RepairMessage>`
`static class` `RepairMessage.RepairMessageSerializer`
`static class` `RepairMessage.Type`

### Field Summary

Fields
`RepairJobDesc` `desc`
`RepairMessage.Type` `messageType`
`static IVersionedSerializer<RepairMessage>` `serializer`

### Constructor Summary

Constructors
`protected` `RepairMessage(RepairMessage.Type messageType, RepairJobDesc desc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MessageOut<RepairMessage>` `createMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static final IVersionedSerializer<RepairMessage> serializer

#### messageType

    public final RepairMessage.Type messageType

#### desc

    public final RepairJobDesc desc

### Constructor Detail

#### RepairMessage

    protected RepairMessage(RepairMessage.Type messageType,
                            RepairJobDesc desc)

### Method Detail

#### createMessage

    public MessageOut<RepairMessage> createMessage()